Subject: bug#6774: Cut and paste with C-w/mouse-2 not working?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Aug 2010 10:43:47 +0300

> Date: Fri, 06 Aug 2010 00:50:00 +0100
> From: David De La Harpe Golden <[email-masked]>
> Cc: [email-masked], Angelo Graziosi <[email-masked]>
> 
> Well, complexity mostly arose from doing it while preserving vestiges of 
> the existing lazy approach. Yes, the laziness seemed elegant, but I'm 
> concerned it's a dead end - it may be easier to get everything right by 
> starting out by setting the selection to a string when we want it set to 
> something new, and not setting it when we don't (thereby preventing the 
> select_window problems by not doing anything).

But that would mean setting the selection each time the user does a
C-w or M-w or any other action that pushes text on the kill ring,
won't it?  If so, I'm afraid it would make Emacs routine ops
significantly slower, and for no good reason: most Emacs ops have
nothing to do with pasting in other apps.